# Uses of Interface
javax.xml.crypto.dsig.DigestMethod

Packages that use DigestMethod
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of DigestMethod in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return DigestMethod
Modifier and Type
Method
Description
`DigestMethod`
Reference.`getDigestMethod()`
Returns the digest method of this `Reference`.
`abstract DigestMethod`
XMLSignatureFactory.`newDigestMethod​(String algorithm, DigestMethodParameterSpec params)`
Creates a `DigestMethod` for the specified algorithm URI and parameters.
Methods in javax.xml.crypto.dsig with parameters of type DigestMethod
Modifier and Type
Method
Description
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm)`
Creates a `Reference` with the specified URI and digest method.
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm, List<? extends Transform> transforms, String type, String id, byte[] digestValue)`
Creates a `Reference` with the specified parameters and pre-calculated digest value.
`abstract Reference`
XMLSignatureFactory.`newReference​(String uri, DigestMethod dm, List<? extends Transform> appliedTransforms, Data result, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.